## xavante 2.0.1

=== debian/changelog ===
xavante (2.0.1-2) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2 
  * fixed LSB init scri w.r.t. $remote_fs 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Jul 2011 10:45:03 +0200

xavante (2.0.1-1) unstable; urgency=low

  * new bugfix upstream release
  * bumped standards-version to 3.8.1
  * depend on wsapi 1.1 
  * added -e in preinst

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 10:12:30 +0100

xavante (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 May 2008 11:16:56 +0200

xavante (2.0~rc1-1) unstable; urgency=low

  * New upstream major release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Apr 2008 10:09:39 +0200

xavante (1.3.2~20070929-1) unstable; urgency=low

  * Initial release. (Closes: #444607)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 12 Sep 2007 12:10:28 +0100
