=== debian/control ===
Source: xavante
Section: net
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
Homepage: http://www.keplerproject.org/xavante/

Package: xavante
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-socket2, liblua5.1-copas0, liblua5.1-coxpcall0, liblua5.1-filesystem0, ${misc:Depends}
Recommends: liblua5.1-wsapi1, liblua5.1-cgi0
Description: Lua HTTP 1.1 Web server
 This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
 architecture based on URI mapped handlers. Xavante currently offers a file
 handler, a redirect handler and a CGILua handler. Those are used for general
 files, URI remapping and CGILua scripts respectively.
 .
 The CGILua handler is considered optional thus xavante just recommends the
 packages needed for that handler.

Package: xavante-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: xavante
Section: doc
Description: Documentation files for the Xavante web server
 This package contains the documentation for the Xavante web server.
