=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk


DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

install/xavante::
	# move xavante init file inside the xavante dir and link it to init.lua
	mv $(DEB_DESTDIR)/usr/share/lua/5.1/xavante.lua $(DEB_DESTDIR)/usr/share/lua/5.1/xavante/
	cd $(DEB_DESTDIR)/usr/share/lua/5.1/xavante/; ln -s xavante.lua init.lua

	# config file
	mkdir -p $(DEB_DESTDIR)/etc/xavante/sites-available
	mkdir -p $(DEB_DESTDIR)/etc/xavante/sites-enabled
	cp debian/localhost.lua $(DEB_DESTDIR)/etc/xavante/sites-available
	cd $(DEB_DESTDIR)/etc/xavante/sites-enabled; ln -s ../sites-available/* .
	cp debian/xavante_start.lua $(DEB_DESTDIR)/etc/xavante/xavante_start.lua

	# start
	mkdir -p $(DEB_DESTDIR)/etc/default/
	echo "RUN_XAVANTE=" > $(DEB_DESTDIR)/etc/default/xavante
