=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package xavante
#
version=3
http://luaforge.net/frs/?group_id=6  /frs/download.php/\d+/xavante-([\d\.]*).tar.gz
