## xavante 2.2.1

=== debian/changelog ===
xavante (2.2.1-1) unstable; urgency=low

  * New upstream release
  * CDBS -> dh
  * debian/compat set to 8
  * bumped standards-version to 3.9.3 
  * update watch file
  * copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 17:23:07 +0200
