=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
-Homepage: http://www.keplerproject.org/xavante/
+Homepage: http://keplerproject.github.com/xavante/
 
 Package: xavante
 Architecture: all
-Depends: ${shlibs:Depends}, liblua5.1-socket2, liblua5.1-copas0, liblua5.1-coxpcall0, liblua5.1-filesystem0, ${misc:Depends}
-Recommends: liblua5.1-wsapi1, liblua5.1-cgi0
+Depends: ${shlibs:Depends}, lua5.1-socket, lua5.1-copas,  lua5.1-coxpcall, lua5.1-filesystem, ${misc:Depends}, lua-copas (>= 1.1.6), lua-filesystem (>= 1.5.0)
+Recommends: lua5.1-wsapi, lua5.1-cgi
 Description: Lua HTTP 1.1 Web server
  This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
  architecture based on URI mapped handlers. Xavante currently offers a file
