=== debian/changelog ===
xavante (2.3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:55:55 +0100

xavante (2.3.0-1) unstable; urgency=low

  * New upstream release with webdav support

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Nov 2013 16:53:24 +0100

xavante (2.2.1+git9927c2a-1) unstable; urgency=low

  * New upstream snapshot with lua 5.2 support
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 12 May 2012 19:13:00 +0200
