=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
 Homepage: http://keplerproject.github.com/xavante/
+Vcs-Git: git://git.debian.org/git/pkg-lua/xavante.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/xavante.git
 
 Package: xavante
 Architecture: all
-Depends: ${shlibs:Depends}, lua5.1-socket, lua5.1-copas,  lua5.1-coxpcall, lua5.1-filesystem, ${misc:Depends}, lua-copas (>= 1.1.6), lua-filesystem (>= 1.5.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-coxpcall, lua5.1-copas, lua-copas (>= 1.1.6), lua5.1-filesystem, lua-filesystem (>= 1.5.0), lua5.1
 Recommends: lua5.1-wsapi, lua5.1-cgi
 Description: Lua HTTP 1.1 Web server
  This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
@@ -27,4 +27,5 @@
 Recommends: xavante
 Section: doc
 Description: Documentation files for the Xavante web server
- This package contains the documentation for the Xavante web server.
+ This package contains the documentation for the Xavante web server as well
+ as some examples of configuration files.
