=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package xavante
#
version=3
https://github.com/keplerproject/xavante/downloads .*/xavante-([\d\.]+).tar.gz
